Data Fields
distance_detector_resources_t Struct Reference

## Data Fields
acc_sensor_t * | sensor
acc_cal_result_t | sensor_cal_result
acc_detector_distance_config_t * | config
acc_detector_distance_handle_t * | handle
acc_detector_distance_result_t | result
void * | buffer
uint32_t | buffer_size
uint8_t * | detector_cal_result_static
uint32_t | detector_cal_result_static_size
acc_detector_cal_result_dynamic_t | detector_cal_result_dynamic

## Detailed Description

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 29 of file i2c_distance_detector.c.

## Field Documentation

## ◆ buffer

void * distance_detector_resources_t::buffer

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 36 of file i2c_distance_detector.c.

## ◆ buffer_size

uint32_t distance_detector_resources_t::buffer_size

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 37 of file i2c_distance_detector.c.

## ◆ config

acc_detector_distance_config_t * distance_detector_resources_t::config

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 33 of file i2c_distance_detector.c.

## ◆ detector_cal_result_dynamic

acc_detector_cal_result_dynamic_t distance_detector_resources_t::detector_cal_result_dynamic

Examples
  example_detector_distance.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 40 of file i2c_distance_detector.c.

## ◆ detector_cal_result_static

uint8_t * distance_detector_resources_t::detector_cal_result_static

Examples
  example_detector_distance.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 38 of file i2c_distance_detector.c.

## ◆ detector_cal_result_static_size

uint32_t distance_detector_resources_t::detector_cal_result_static_size

Examples
  example_detector_distance.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 39 of file i2c_distance_detector.c.

## ◆ handle

acc_detector_distance_handle_t * distance_detector_resources_t::handle

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 34 of file i2c_distance_detector.c.

## ◆ result

acc_detector_distance_result_t distance_detector_resources_t::result

Definition at line 35 of file i2c_distance_detector.c.

## ◆ sensor

acc_sensor_t * distance_detector_resources_t::sensor

Examples
  example_detector_distance.c, example_detector_distance_calibration_caching.c, and example_detector_distance_with_iq_data_print.c.

Definition at line 31 of file i2c_distance_detector.c.

## ◆ sensor_cal_result

acc_cal_result_t distance_detector_resources_t::sensor_cal_result

Definition at line 32 of file i2c_distance_detector.c.

The documentation for this struct was generated from the following files:

- Src/applications/i2c/i2c_distance_detector.c
- Src/examples/advanced_control/example_detector_distance_calibration_caching.c
- Src/examples/advanced_control/example_detector_distance_with_iq_data_print.c
- Src/examples/getting_started/example_detector_distance.c